#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hOpenPGP
version:              2.9.6
visibility:           public
id:                   hOpenPGP-2.9.6-APgGaldt2TX9CftCya7e4Z
key:                  hOpenPGP-2.9.6-APgGaldt2TX9CftCya7e4Z
license:              MIT
copyright:            2012-2021  Clint Adams
maintainer:           Clint Adams <clint@debian.org>
author:               Clint Adams
homepage:             https://salsa.debian.org/clint/hOpenPGP
synopsis:             native Haskell implementation of OpenPGP (RFC4880)
description:
    native Haskell implementation of OpenPGP (RFC4880), plus Camellia (RFC5581), plus ECC (RFC6637)

category:             Codec, Data
abi:                  e64c82178fa67d7c3d947383dd6640f9
exposed:              True
exposed-modules:
    Codec.Encryption.OpenPGP.CFB Codec.Encryption.OpenPGP.Compression
    Codec.Encryption.OpenPGP.Expirations
    Codec.Encryption.OpenPGP.Fingerprint
    Codec.Encryption.OpenPGP.KeyInfo
    Codec.Encryption.OpenPGP.KeySelection
    Codec.Encryption.OpenPGP.KeyringParser
    Codec.Encryption.OpenPGP.Ontology Codec.Encryption.OpenPGP.S2K
    Codec.Encryption.OpenPGP.SecretKey
    Codec.Encryption.OpenPGP.Serialize
    Codec.Encryption.OpenPGP.SignatureQualities
    Codec.Encryption.OpenPGP.Signatures Codec.Encryption.OpenPGP.Types
    Data.Conduit.OpenPGP.Compression Data.Conduit.OpenPGP.Decrypt
    Data.Conduit.OpenPGP.Filter Data.Conduit.OpenPGP.Keyring
    Data.Conduit.OpenPGP.Keyring.Instances Data.Conduit.OpenPGP.Verify

hidden-modules:
    Codec.Encryption.OpenPGP.Internal
    Codec.Encryption.OpenPGP.Internal.CryptoCipherTypes
    Codec.Encryption.OpenPGP.Internal.Cryptonite
    Codec.Encryption.OpenPGP.Internal.HOBlockCipher
    Codec.Encryption.OpenPGP.Types.Internal.Base
    Codec.Encryption.OpenPGP.Types.Internal.CryptoniteNewtypes
    Codec.Encryption.OpenPGP.Types.Internal.PKITypes
    Codec.Encryption.OpenPGP.Types.Internal.PacketClass
    Codec.Encryption.OpenPGP.Types.Internal.Pkt
    Codec.Encryption.OpenPGP.Types.Internal.PrettyUtils
    Codec.Encryption.OpenPGP.Types.Internal.TK
    Codec.Encryption.OpenPGP.BlockCipher
    Codec.Encryption.OpenPGP.SerializeForSigs

import-dirs:          /usr/lib/ghc-9.0.2/site-local/hOpenPGP-2.9.6
library-dirs:         /usr/lib/ghc-9.0.2/site-local/hOpenPGP-2.9.6
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.2/hOpenPGP-2.9.6
hs-libraries:         HShOpenPGP-2.9.6-APgGaldt2TX9CftCya7e4Z
depends:
    aeson-1.5.6.0-7AVmFt19o6HJo2wk0LSKcn
    asn1-encoding-0.9.6-8bRbpihtSJ8ImHHdeUXziA
    attoparsec-0.14.2-LyVMFpgdKldIJdmhU3guTs base-4.15.1.0
    base16-bytestring-1.0.2.0-Kj7KJPtppsbq9Tg8Svs7O
    bifunctors-5.5.11-DK1ifOfo0s6LV30nkQV83K binary-0.8.8.0
    binary-conduit-1.3.1-A5cI4Q2Basb8lv7VvlanG9 bytestring-0.10.12.1
    bz2-1.0.1.0-826DB5mKxbC1rqJvYQm5A
    conduit-1.3.4.2-9rQDw4mofwBGG67ZjdTk6x
    conduit-extra-1.3.5-EjMXTLuxe7A2URtVIucU8t containers-0.6.4.1
    crypto-cipher-types-0.0.9-5N4axHKyRQVIupbgQzXmgc
    cryptonite-0.29-IYtAzamQtmqIaooNNkk68y
    errors-2.3.0-AMf4swi6TfI2g0Jb1DBx7t
    hashable-1.3.4.1-EP0Gd73UMcO4S1jbgGNqGg
    incremental-parser-0.5.0.2-CVrFvsEr3RwFt7fQMCDhft
    ixset-typed-0.5-FL2PPUfIFiv6VqrL4XaiFI
    lens-5.0.1-A5wHtRxN7lBIH7UAeS9C9y
    memory-0.16.0-FBfJqtDB5FTKsDjiBBMycd
    monad-loops-0.4.3-C4VZ1LczQKA9hVl8DS9fX
    nettle-0.3.0-JKs1V88W3oPKG1OO8yAu5o
    network-uri-2.6.4.1-9UYBcu0rkna53gaPwNGacE
    openpgp-asciiarmor-0.1.2-IOU7O78NZ2FI5EwYXjzos9
    prettyprinter-1.7.1-6tVqaE67Ipk29aZeqpH0Z0
    resourcet-1.2.4.3-D4BHNfjj1kEDu6tlc1UV2M
    split-0.2.3.4-2zBb1jZbJ7yGusLycAfooc text-1.2.5.0 time-1.9.3
    time-locale-compat-0.1.1.5-1snbmhWP0619voIlJd9qOd
    transformers-0.5.6.2 unliftio-core-0.2.0.1-HjGpVpPktr5Bc3kYrL6LtS
    unordered-containers-0.2.15.0-HIJyWoeynWgK8pqlQmZFlL
    zlib-0.6.2.3-3ONYEDybTzZJMsijCIwrru

haddock-interfaces:   /usr/share/doc/haskell-hopenpgp/html/hOpenPGP.haddock
haddock-html:         /usr/share/doc/haskell-hopenpgp/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

